Subject: Re: [ANNOUNCE] gitkdiff 0.1

From: Tejun Heo <[email-masked]>
Date: Thu, 28 Apr 2005 20:01:11 +0900

Ingo Molnar wrote:
> * Tejun Heo <[email-masked]> wrote:
> 
> 
>> Hello, guys.
>>
>> I've hacked tkdiff and made a commit viewing utility.  Just download
>>the following tarball and unpack it whereever PATH points to.  It
>>assumes that all base git executables are visible via PATH.
>>
>> http://home-tj.org/gitui/files/gitui-200504281405.tar.gz
> 
> 
> very nice!
> 
> there's only one other utility i'm missing: a tool that does the 
> equivalent of 'bk annotate' - and to possibly integrate it with gitkdiff 
> and git-viz. That would make 'history browsing' very powerful: to 
> flexibly switch between changeset history graph view, annotated file 
> view and changeset history within one utility.
> 
> 	Ingo

  Actually, I am thinking about making a full gui history thing.  With 
commit history graph, annoatated file history and all those stuff (I 
think it will look a lot like bk revtool).  Can't say how long it will 
take but maybe in a week.  So, if you have some ideas/suggestions, 
please let me know.

-- 
tejun